#ifndef __MOTORCTRL_H
#define __MOTORCTRL_H

#include "Mcu.h"


/*******************************************************************************
 * the typedefs
 ******************************************************************************/
typedef enum
{
    Motor_ACT_NOACT,//停止
    Motor_ACT_CW,//正转
    Motor_ACT_CCW,//反转
    Motor_ACT_NUM,
} Motor_ACT_Type;
typedef enum
{
    MotorHG,//
    MotorKB,//
    MotorTT,//
    MotorZY,//
    Motor5,//
    Motor6,//
    MOTOR_NUM,
} Motor_ID_Type;
typedef enum
{
    MOTOR_MEMORY_1,
    MOTOR_MEMORY_2,
    MOTOR_MEMORY_3,
}MOTOR_MEMORY_Type;



void MotorCtrl_Init(void);
void MotorCtrl_Maintask(void);
void setMotorState(Motor_ID_Type motorid,Motor_ACT_Type act);
void setMotorTarget(uint8_t motorid,uint16_t target);
void StartAutoCal(void);
void StopAutoCal(void);
void CurrentDetect(void);
void HallDetect(void);
void MotorMemoryGet(MOTOR_MEMORY_Type id);
void MotorMemorySet(MOTOR_MEMORY_Type id);


#endif

